commit: b262941dbef56c0d3a71fceb3eb66337e67180f2
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 5 22:57:28 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jul 5 22:59:18 2020 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=b262941d
kde-plasma/plasma-meta: Fix pkg_postinst exit condition
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-plasma/plasma-meta/plasma-meta-5.19.49.9999.ebuild | 2 +-
kde-plasma/plasma-meta/plasma-meta-9999.ebuild | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/kde-plasma/plasma-meta/plasma-meta-5.19.49.9999.ebuild
b/kde-plasma/plasma-meta/plasma-meta-5.19.49.9999.ebuild
index eaecb7d814..2469acd17c 100644
--- a/kde-plasma/plasma-meta/plasma-meta-5.19.49.9999.ebuild
+++ b/kde-plasma/plasma-meta/plasma-meta-5.19.49.9999.ebuild
@@ -85,7 +85,7 @@ RDEPEND="
pkg_postinst() {
has_version sys-auth/consolekit || return
- use elogind || use systemd && return
+ use elogind || use systemd || return
ewarn "An existing installation of sys-auth/consolekit was detected
even though"
ewarn "${PN} was configured with USE $(usex elogind elogind systemd)."
ewarn "There can only be one session manager at runtime, otherwise
random issues"
diff --git a/kde-plasma/plasma-meta/plasma-meta-9999.ebuild
b/kde-plasma/plasma-meta/plasma-meta-9999.ebuild
index 8c40bef7e8..ff417eab75 100644
--- a/kde-plasma/plasma-meta/plasma-meta-9999.ebuild
+++ b/kde-plasma/plasma-meta/plasma-meta-9999.ebuild
@@ -85,7 +85,7 @@ RDEPEND="
pkg_postinst() {
has_version sys-auth/consolekit || return
- use elogind || use systemd && return
+ use elogind || use systemd || return
ewarn "An existing installation of sys-auth/consolekit was detected
even though"
ewarn "${PN} was configured with USE $(usex elogind elogind systemd)."
ewarn "There can only be one session manager at runtime, otherwise
random issues"